Bug 447527 - Trouble playing Flash video streams with x86_64, which work with i686
Trouble playing Flash video streams with x86_64, which work with i686
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
http://www.tagesschau.de/multimedia/s...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 07:42 EDT by Torsten Rausche
Modified: 2009-06-27 11:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 03:47:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Network traffic of the x86_64 system, captured with Wireshark (308.32 KB, application/octet-stream)
2008-05-20 07:45 EDT, Torsten Rausche
no flags Details
Network traffic of the i686 system, captured with Wireshark (397.09 KB, application/octet-stream)
2008-05-20 07:46 EDT, Torsten Rausche
no flags Details

  None (edit)
Description Torsten Rausche 2008-05-20 07:42:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
Some Flash video streams don't work with Adobe's Flash plugin wrapped on a x86_64 system, but work wrapped on a i686 system. The Flash player doesn't crash. It just doesn't play the video.

An example: http://www.tagesschau.de/multimedia/sendung/ts4932.html

I tried to capture the network traffic with Wireshark. Please take a look at the attachments. After the Flash player is loaded on the i686 system, it sends a DNS request for the streaming server. This isn't the case on the x86_64 system. Something seems to prevent the flash plugin from doing some network activities. I suspect nspluginwrapper. But I don't know how to debug further.

Things like YouTube work without a problem.

Version-Release number of selected component (if applicable):
nspluginwrapper-0.9.91.5-27.fc9

How reproducible:
Always


Steps to Reproduce:
1. Go to the mentioned URL
2. Start the video
3. Look what (not) happens

Actual Results:
On a x86_64 the video doesn't play, but it does on a i686 system.

Expected Results:
The video should play on a x86_64 system too!

Additional info:
Installed packages:

flash-plugin-9.0.124.0-release.i386

libflashsupport-000-0.5.svn20070904.x86_64
libflashsupport-000-0.5.svn20070904.i386

nspluginwrapper-0.9.91.5-27.fc9.x86_64
nspluginwrapper-0.9.91.5-27.fc9.i386
Comment 1 Torsten Rausche 2008-05-20 07:45:31 EDT
Created attachment 306107 [details]
Network traffic of the x86_64 system, captured with Wireshark
Comment 2 Torsten Rausche 2008-05-20 07:46:04 EDT
Created attachment 306108 [details]
Network traffic of the i686 system, captured with Wireshark
Comment 3 Torsten Rausche 2008-06-12 03:47:43 EDT
This can be fixed by installing the package nss-mdns.i386

I guess this dependency should be in flash-plugin.i386. So there is not much we
can do.
Comment 4 Torsten Rausche 2008-06-12 05:03:22 EDT
Another note: this only happens if nss-mdns.x86_64 is installed. It's not clear
to me which component is to blame. It could be everything from flash-plugin to
glibc/nscd. Perhaps it could even be considered as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.